#ifndef _MT_BALL_
#define _MT_BALL_

#include "MoveableObject.h"
class WorldObject;
class Sound;

class Ball : public MoveableObject
{
	protected:
		WorldObject *lastHit;
		int bounce_count;
		Sound *bouncingSound;
		
	public:
		Ball(PhysicsObject *physicsObject, osg::MatrixTransform *graphicsObject);
		virtual ~Ball();
		void setVelocity();
		void calculateMovement();
		void collision(MoveableObject *mo, dContact thisContact);
		void setLastHit(WorldObject *hitObject);
		WorldObject *getLastHit();
		Ball *asBall(){return this;};
		void bounceSound();
		
};

#endif
