#ifndef _MT_IOHANDLER_
#define _MT_IOHANDLER_

#include <iostream>
#include <osgGA/GUIEventHandler>
#include <osgProducer/Viewer>

#include "Network.h"

#define SCOREBOARD 3000
#define OVERVIEW_A 3001
#define OVERVIEW_B 3002
#define OVERVIEW_C 3003
#define NOCAMERA 3004

#define EYEVIEW 4000
#define BACKVIEW 4001

class MortalTennis;


//////////////////////////////////
//////// KeyEventHandler ////////
//////////////////////////////////

class KeyEventHandler : public osgGA::GUIEventHandler
{
	private:
		RakClientInterface *rakClientInterface; //Oanvnd fr tillfllet
		osgProducer::Viewer *viewer;
		Producer::RenderSurface *renderSurface;
		MortalTennis *mortalT;
		bool altLeft;
		int countR;
		int countT;
		
	public:
		KeyEventHandler(RakClientInterface *rci, osgProducer::Viewer *n_viewer, Producer::RenderSurface *rs, MortalTennis *mt);
		
		virtual bool handle(const osgGA::GUIEventAdapter& ea,osgGA::GUIActionAdapter&);
		
};

#endif

