#ifndef _MT_MOVEABLEOBJECT_
#define _MT_MOVEABLEOBJECT_

class Ball;
class TennisPlayer;

#include "WorldObject.h"
#include "PhysicsObject.h" 

class MoveableObject :public WorldObject
{
	protected:
		float weight;
		
	public:
		MoveableObject(PhysicsObject *n_physicsObject, osg::MatrixTransform *n_graphicsObject);
		virtual ~MoveableObject();

		void move(float,float,float);	
		void update();
		
		virtual void collision(MoveableObject *mo, dContact thisContact);
		
};

#endif
