#ifndef _MT_PHYSICSOBJECT_
#define _MT_PHYSICSOBJECT_

#include <ode/ode.h>

class PhysicsObject
{
	protected:
		dWorldID physicsWorld;
		dGeomID physicsObject;
		dSpaceID physicsSpace;
		dJointGroupID collisionGroup;
		
	public:
		PhysicsObject(dGeomID, dWorldID, dSpaceID, dJointGroupID);
		void setWorld(dWorldID id);
		void setObject(dGeomID id);
		void setSpace(dSpaceID id);
		void setGroup(dJointGroupID id);
		dWorldID getWorld();
		dGeomID getObject();
		dSpaceID getSpace();
		dJointGroupID getGroup();
};

#endif
