#ifndef _MT_SOUND_
#define _MT_SOUND_

#include <openalpp/alpp.h>
#include <iostream>

class MoveableObject;
class TennisPlayer;

using namespace openalpp;

class Sound
{
	protected:
		MoveableObject *soundPosition;
		openalpp::ref_ptr<Source> sound;
		float volume;
		char *soundData;
		int soundDataLength;
	public:
		Sound(char *filename);
		~Sound();
		void play();
		void play_client();
		void playAtPos(MoveableObject *soundPosition, TennisPlayer *listener);
		void loop();
		void stopLoop();
		void setVolume(float vol);
		openalpp::ref_ptr<Source> getSound();
		void setAmbient(bool AmbientSetting);
};

#endif
