#include "PhysicsObject.h"

PhysicsObject::PhysicsObject(dGeomID oid, dWorldID wid, dSpaceID sid, dJointGroupID gid)
{physicsObject = oid; physicsWorld = wid; physicsSpace = sid; collisionGroup = gid;};

void 
PhysicsObject::setWorld(dWorldID id)
{physicsWorld = id;};

void 
PhysicsObject::setObject(dGeomID id)
{physicsObject = id;};

void 
PhysicsObject::setSpace(dSpaceID id)
{physicsSpace = id;};

void 
PhysicsObject::setGroup(dJointGroupID id)
{collisionGroup = id;};

dWorldID 
PhysicsObject::getWorld()
{return physicsWorld;};

dGeomID 
PhysicsObject::getObject()
{return physicsObject;};

dSpaceID 
PhysicsObject::getSpace()
{return physicsSpace;};

dJointGroupID 
PhysicsObject::getGroup()
{return collisionGroup;};
